/**
 * 原始记录接口
*/
import request from '../../index'
import type { IListQuery } from '@/views/business/lab/primitiveLog/primitiveLogList'
const prefix = '/business/originalRecord'

// 列表查询
export function getPrimitiveLogList(data: IListQuery) {
  return request({
    url: `${prefix}/listPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 导出列表
export function exportPrimitiveLogList(data: Omit<IListQuery, 'limit' | 'offset'>) {
  return request({
    url: `${prefix}/export`,
    method: 'post',
    responseType: 'blob',
    data,
  })
}

// 删除
export function deletePrimitiveLogList(data: { id: string }) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data,
  })
}

